uk.gov.hmrc.payeestimator.domain

# TaxYear_2017_2018

###
Related Doc: package domain

#### case class TaxYear_2017_2018(isScottish: Boolean = false) extends TaxCalcResource with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, TaxCalcResource, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TaxYear_2017_2018
2. Serializable
3. Serializable
4. Product
5. Equals
6. TaxCalcResource
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new TaxYear_2017_2018(isScottish: Boolean = false)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def applicableForDate(date: LocalDate): Boolean

   Definition Classes
     TaxCalcResource

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### val bands: Seq[Band]

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### val emergencyTaxCode: String

   Definition Classes
     TaxYear_2017_2018 → TaxCalcResource

9. #### val employee1: RateLimit

10. #### val employee2: RateLimit

11. #### val employee3: RateLimit

12. #### val employee4: RateLimit

13. #### val employer1: RateLimit

14. #### val employer2: RateLimit

15. #### val employer3: RateLimit

16. #### val employer4: RateLimit

17. #### val endDate: LocalDate

    Definition Classes
      TaxYear_2017_2018 → TaxCalcResource

18. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

20. #### def findTaxBand(specialTaxCode: String): Option[Band]

    Definition Classes
      TaxCalcResource

21. #### def findTaxBand(i: Int): Option[Band]

    Definition Classes
      TaxCalcResource

22. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

23. #### def getPreviousTaxBand(band: Int): Option[Band]

    Definition Classes
      TaxCalcResource

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### val isScottish: Boolean

    Definition Classes
      TaxYear_2017_2018 → TaxCalcResource

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### val nicRateLimits: NICRateLimits

    Definition Classes
      TaxYear_2017_2018 → TaxCalcResource

28. #### final def notify(): Unit

    Definition Classes
      AnyRef

29. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

30. #### val rateLimit1: RateLimit

31. #### val rateLimit2: RateLimit

32. #### lazy val rateType: String

    Definition Classes
      TaxCalcResource

33. #### val scottishTaxBands1: Band

34. #### val scottishTaxBands2: Band

35. #### val scottishTaxBands3: Band

36. #### val scottishTaxBands4: Band

37. #### val startDate: LocalDate

    Definition Classes
      TaxYear_2017_2018 → TaxCalcResource

38. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

39. #### val taxBands: TaxBands

    Definition Classes
      TaxYear_2017_2018 → TaxCalcResource

40. #### val taxBands1: Band

41. #### val taxBands2: Band

42. #### val taxBands3: Band

43. #### val taxBands4: Band

44. #### def taxYear: String

    Definition Classes
      TaxCalcResource

45. #### val threshold1: RateLimit

46. #### val threshold2: RateLimit

47. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

48. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

49. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from TaxCalcResource

### Inherited from AnyRef

### Inherited from Any

### Ungrouped